Package com.documentum.fc.client

# Class DfDocbrokerRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.documentum.fc.common.DfRuntimeException
com.documentum.fc.client.DfDocbrokerRuntimeException

All Implemented Interfaces:
  `Serializable`

public class DfDocbrokerRuntimeException extends DfRuntimeException

See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHostName()`
  `int`
  `getPortNumber()`
  `static DfDocbrokerRuntimeException`
  `newAlreadyKnownException(String hostName, int portNumber)`
  `static DfDocbrokerRuntimeException`
  `newMapReadOnlyException(String hostName, int portNumber)`
  `static DfDocbrokerRuntimeException`
  `newNotKnownException(String hostName, int portNumber)`

  ### Methods inherited from class com.documentum.fc.common.DfRuntimeException

  `convertToRuntimeException, getArguments, getMessage, getMessageId, newDefineClassFailedException, newFailedBofTransformationException, newInvalidPrivilegeMetadataException, newNotInitializedException, newPrivilegeIllegalForSBOException, newUnexpectedException, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getHostName

    public String getHostName()

  - ### getPortNumber

    public int getPortNumber()

  - ### newMapReadOnlyException

    public static DfDocbrokerRuntimeException newMapReadOnlyException(String hostName, int portNumber)

  - ### newNotKnownException

    public static DfDocbrokerRuntimeException newNotKnownException(String hostName, int portNumber)

  - ### newAlreadyKnownException

    public static DfDocbrokerRuntimeException newAlreadyKnownException(String hostName, int portNumber)